'use strict';

/* For ESLint: List any global identifiers used in this file below */
/* global */

// Binds keypress enter to trigger click action on
// default button or trigger click action on focused
// button.
function bindEnterClickToDefault() {
  if (window.GLOBAL_ran_bind_enter_click_to_default) {
    return;
  }
  window.GLOBAL_ran_bind_enter_click_to_default = true;
  $('html').bind('keypress', (event) => {
    if (event.keyCode === 13 && $('button:focus').size() <= 0) {
      event.preventDefault();
      $('.adblock_default_button').filter(':visible').click();
    }
  });
}

// Set RTL for Arabic and Hebrew users in blacklist and whitelist wizards
function getTextDirection() {
  let language = '';
  if ((typeof navigator.language !== 'undefined') &&
        navigator.language) {
    // eslint-disable-next-line prefer-destructuring
    language = navigator.language.match(/^[a-z]+/i)[0];
  }
  return language === 'ar' || language === 'he' ? 'rtl' : 'ltr';
}

function changeTextDirection($selector) {
  const textDirection = getTextDirection();
  $selector.attr('dir', textDirection);
  if (textDirection === 'rtl') {
    $('.ui-dialog .ui-dialog-buttonpane .ui-dialog-buttonset').css('float', 'left');
    $('.ui-dialog .ui-dialog-title').css('float', 'right');
    $('.ui-dialog .ui-dialog-titlebar').css('background-position', 'right center');
    $('.ui-dialog .ui-dialog-titlebar-close').css({ left: '0.3em', right: 'initial' });
  }
}

// required return value for tabs.executeScript
/* eslint-disable-next-line no-unused-expressions */
'';
